## org.eclipse.emf.cdo.server.db
Interface IDBStore

All Superinterfaces:
  IStore

    public interface IDBStore

extends IStore

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore
`IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

Method Summary
`org.eclipse.net4j.db.IDBAdapter` `getDBAdapter()`
`org.eclipse.net4j.db.IDBConnectionProvider` `getDBConnectionProvider()`
`org.eclipse.net4j.db.ddl.IDBSchema` `getDBSchema()`
`IMappingStrategy` `getMappingStrategy()`
`IMetaDataManager` `getMetaDataManager()` Get the meta data manager associated with this DBStore.
`IDBStoreAccessor` `getReader(ISession session)` Returns a reader that can be used to read from this store in the context of the given session.
`IDBStoreAccessor` `getWriter(ITransaction transaction)` Returns a writer that can be used to write to this store in the context of the given view.

Methods inherited from interface org.eclipse.emf.cdo.server.IStore
`getCDOIDLibraryDescriptor, getCDOIDLibraryProvider, getCDOIDObjectFactory, getCreationTime, getIndicatingCommitDistributor, getNextMetaIDRange, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, isFirstTime, setRepository, setRevisionParallelism, setRevisionTemporality`

Method Detail

### getMappingStrategy

    IMappingStrategy getMappingStrategy()

  Since:
    2.0

### getDBSchema

    org.eclipse.net4j.db.ddl.IDBSchema getDBSchema()

### getDBAdapter

    org.eclipse.net4j.db.IDBAdapter getDBAdapter()

### getDBConnectionProvider

    org.eclipse.net4j.db.IDBConnectionProvider getDBConnectionProvider()

  Since:
    2.0

### getReader

    IDBStoreAccessor getReader(ISession session)

  Description copied from interface: `IStore`
  Returns a reader that can be used to read from this store in the context of the given session.

  Specified by:
    `getReader` in interface `IStore`
  Parameters:
    `session` - The session that should be used as a context for read access or `null`. The store implementor is free to interpret and use the session in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on session close. Note however that the session can be `null`, for example during startup of the server while the repositories are initialized but before any user session has been opened.
  Returns:
    a reader that can be used to read from this store in the context of the given session, never `null`.
  Since:
    2.0

### getWriter

    IDBStoreAccessor getWriter(ITransaction transaction)

  Description copied from interface: `IStore`
  Returns a writer that can be used to write to this store in the context of the given view. The given view is always marked as a transaction.

  Specified by:
    `getWriter` in interface `IStore`
  Parameters:
    `transaction` - The view that must be used as a context for write access. The store implementor is free to interpret and use the view in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on view close.
  Returns:
    a writer that can be used to write to this store in the context of the given view, never `null`.
  Since:
    2.0

### getMetaDataManager

    IMetaDataManager getMetaDataManager()

  Get the meta data manager associated with this DBStore.

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.